List auto-rebalance configs
List all auto-rebalance configs for the authenticated trade account.
x-api-key<token>
In: header
Query Parameters
limit?integer
Range
0 < value <= 2000Default
20cursor?string
status?array<>
weightSource?array<>
positionId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidHeader Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/rebalance/auto" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "string", "items": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "ACTIVE", "pausedReason": "USER", "minimumDriftPct": "1250.75", "createdAt": "2026-01-15T09:30:00.000Z", "updatedAt": "2026-01-15T09:30:00.000Z", "weightSource": "INITIAL_WEIGHT" } ]}